using Newtonsoft.Json.Linq;

using PlugInInterface;

namespace MyPlugIn;

public class MyPlugInType : IPlugIn
{
    public string Foo(JObject o)
    {
        //  W budowaniu użyto Json.NET 9.0.1, więc te informacje powinny się
        // pojawić w wynikach; jednak ze względu na mechanizm określania
        // pozespołów używany przez hosta wtyczek zostanie wyświetlona
        // ujednolicona wersja
        
        Console.WriteLine(o.GetType().Assembly.FullName);

        return "";
    }
}